# SPDX-License-Identifier: GPL-2.0-only
config DRM_PANEL
	bool
	depends on DRM
	help
	  Panel registration and lookup framework.

menu "Display Panels"
	depends on DRM && DRM_PANEL

config DRM_PANEL_ARM_VERSATILE
	tristate "ARM Versatile panel driver"
	depends on OF
	depends on MFD_SYSCON
	select VIDEOMODE_HELPERS
	help
	  This driver supports the ARM Versatile panels connected to ARM
	  reference designs. The panel is detected using special registers
	  in the Versatile family syscon registers.

config DRM_PANEL_ASUS_Z00T_TM5P5_NT35596
	tristate "ASUS Z00T TM5P5 NT35596 panel"
	depends on GPIOLIB && OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the ASUS TMP5P5
	  NT35596 1080x1920 video mode panel as found in some Asus
	  Zenfone 2 Laser Z00T devices.

config DRM_MTK_GENERAL_PANEL_DRV
	tristate "MTK general panel driver"
	depends on OF
	depends on GPIOLIB && OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the mtk
	  general panel driver, the panel has 2560x1600 resolution,
	  24 bit RGB per pixel and uses MIPI DSI interface to host
	  add it to project then can used it

config DRM_PANEL_BOE_HIMAX8279D
	tristate "Boe Himax8279d panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Boe Himax8279d
	  TFT-LCD modules. The panel has a 1200x1920 resolution and uses
	  24 bit RGB per pixel. It provides a MIPI DSI interface to
	  the host and has a built-in LED backlight.

config DRM_PANEL_BOE_TV101WUM_NL6
	tristate "BOE TV101WUM and AUO KD101N80 45NA 1200x1920 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to support for BOE TV101WUM and AUO KD101N80
	  45NA WUXGA PANEL DSI Video Mode panel

config DRM_PANEL_LVDS
	tristate "Generic LVDS panel driver"
	depends on OF
	depends on BACKLIGHT_CLASS_DEVICE
	select VIDEOMODE_HELPERS
	help
	  This driver supports LVDS panels that don't require device-specific
	  handling of power supplies or control signals. It implements automatic
	  backlight handling if the panel is attached to a backlight controller.

config DRM_PANEL_SIMPLE
	tristate "support for simple panels"
	depends on OF
	depends on BACKLIGHT_CLASS_DEVICE
	select VIDEOMODE_HELPERS
	help
	  DRM panel driver for dumb panels that need at most a regulator and
	  a GPIO to be powered up. Optionally a backlight can be attached so
	  that it can be automatically turned off when the panel goes into a
	  low power state.

config DRM_PANEL_ELIDA_KD35T133
	tristate "Elida KD35T133 panel driver"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Elida
	  KD35T133 controller for 320x480 LCD panels with MIPI-DSI
	  system interfaces.

config DRM_PANEL_FEIXIN_K101_IM2BA02
	tristate "Feixin K101 IM2BA02 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Feixin K101 IM2BA02
	  4-lane 800x1280 MIPI DSI panel.

config DRM_PANEL_FEIYANG_FY07024DI26A30D
	tristate "Feiyang FY07024DI26A30-D MIPI-DSI LCD panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y if you want to enable support for panels based on the
	  Feiyang FY07024DI26A30-D MIPI-DSI interface.

config DRM_PANEL_ILITEK_IL9322
	tristate "Ilitek ILI9322 320x240 QVGA panels"
	depends on OF && SPI
	select REGMAP
	help
	  Say Y here if you want to enable support for Ilitek IL9322
	  QVGA (320x240) RGB, YUV and ITU-T BT.656 panels.

config DRM_PANEL_ILITEK_ILI9881C
	tristate "Ilitek ILI9881C-based panels"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y if you want to enable support for panels based on the
	  Ilitek ILI9881c controller.

config DRM_PANEL_INNOLUX_P079ZCA
	tristate "Innolux P079ZCA panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Innolux P079ZCA
	  TFT-LCD modules. The panel has a 1024x768 resolution and uses
	  24 bit RGB per pixel. It provides a MIPI DSI interface to
	  the host and has a built-in LED backlight.

config DRM_PANEL_JDI_LT070ME05000
	tristate "JDI LT070ME05000 WUXGA DSI panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for JDI DSI video mode
	  panel as found in Google Nexus 7 (2013) devices.
	  The panel has a 1200(RGB)×1920 (WUXGA) resolution and uses
	  24 bit per pixel.

config DRM_PANEL_KINGDISPLAY_KD097D04
	tristate "Kingdisplay kd097d04 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Kingdisplay kd097d04
	  TFT-LCD modules. The panel has a 1536x2048 resolution and uses
	  24 bit RGB per pixel. It provides a MIPI DSI interface to
	  the host and has a built-in LED backlight.

config DRM_PANEL_LEADTEK_LTK050H3146W
	tristate "Leadtek LTK050H3146W panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Leadtek LTK050H3146W
	  TFT-LCD modules. The panel has a 720x1280 resolution and uses
	  24 bit RGB per pixel. It provides a MIPI DSI interface to
	  the host and has a built-in LED backlight.

config DRM_PANEL_LEADTEK_LTK500HD1829
	tristate "Leadtek LTK500HD1829 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Kingdisplay kd097d04
	  TFT-LCD modules. The panel has a 1536x2048 resolution and uses
	  24 bit RGB per pixel. It provides a MIPI DSI interface to
	  the host and has a built-in LED backlight.

config DRM_PANEL_SAMSUNG_LD9040
	tristate "Samsung LD9040 RGB/SPI panel"
	depends on OF && SPI
	select VIDEOMODE_HELPERS

config DRM_PANEL_LG_LB035Q02
	tristate "LG LB035Q024573 RGB panel"
	depends on GPIOLIB && OF && SPI
	help
	  Say Y here if you want to enable support for the LB035Q02 RGB panel
	  (found on the Gumstix Overo Palo35 board). To compile this driver as
	  a module, choose M here.

config DRM_PANEL_LG_LG4573
	tristate "LG4573 RGB/SPI panel"
	depends on OF && SPI
	select VIDEOMODE_HELPERS
	help
	  Say Y here if you want to enable support for LG4573 RGB panel.
	  To compile this driver as a module, choose M here.

config DRM_PANEL_NEC_NL8048HL11
	tristate "NEC NL8048HL11 RGB panel"
	depends on GPIOLIB && OF && SPI
	help
	  Say Y here if you want to enable support for the NEC NL8048HL11 RGB
	  panel (found on the Zoom2/3/3630 SDP boards). To compile this driver
	  as a module, choose M here.

config DRM_PANEL_NOVATEK_NT35510
	tristate "Novatek NT35510 RGB panel driver"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the panels built
	  around the Novatek NT35510 display controller, such as some
	  Hydis panels.

config DRM_PANEL_K6983V1_64_REF_FHD_CMD
	tristate "Alpha k6983v1_64_ref amoled FHD+ cmd panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for k6983v1_64_ref
	  FHDFLUS(1080*2550) panel.
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_K6983V1_64_REF_WQHD_CMD
	tristate "Alpha k6983v1_64_ref amoled WQHD cmd panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for k6983v1_64_ref
	  WQHD(2296*2000) panel.
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SAMSUNG_ANA6705_CMD
	tristate "ANA6705 amoled WQHD cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ANA6705 DPHY
	  cmd mode WQHD panel. The panel has a 1440x3216
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SAMSUNG_ANA6705_CMD_FHDP
	tristate "ANA6705 amoled FHDP cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ANA6705 DPHY
	  cmd mode FHDP panel. The panel has a 1080x2412
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SAMSUNG_OP_CMD
	tristate "ANA6705 OP WQHD cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ANA6705 DPHY
	  cmd mode WQHD panel. The panel has a 1440x3216
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SAMSUNG_OP_CMD_MSYNC2
	tristate "ANA6705 OP WQHD cmd msync2 mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ANA6705 DPHY
	  cmd mode WQHD panel. The panel has a 1440x3216
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_K6895V1_64_95T_ALPHA_CMD
	tristate "K6895v1 ALPHA WQHD CMD  Mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for K6895V1 ALPHA DPHY
          cmd mode WQHD panel. The panel has a 1440x3200
          resolution and uses 24-bits RGB per pixel. It provides a
          MIPI DSI interface to host.


config DRM_PANEL_NOVATEK_NT36672A_VDO
	tristate "Novatek NT36672A FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT36672A VDO
	  mode Full HD Plus panel. The panel has a 1080x2280 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_NOVATEK_NT36672_VDO_LANESWAP
	tristate "Novatek NT36672 FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT36672A VDO
	  mode Full HD Plus panel. The panel has a 1080x2280 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_NOVATEK_NT39016
	tristate "Novatek NT39016 RGB/SPI panel"
	depends on OF && SPI
	depends on BACKLIGHT_CLASS_DEVICE
	select REGMAP_SPI
	help
	  Say Y here if you want to enable support for the panels built
	  around the Novatek NT39016 display controller.

config DRM_PANEL_NOVATEK_NT35695B_VDO
	tristate "Novatek NT35695B AUO vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT35695B DPHY
	  vdo mode Full HD panel. The panel has a 1080x1920
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_NOVATEK_NT35695B_CMD
	tristate "Novatek NT35695B AUO cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT35695B DPHY
	  vdo mode Full HD panel. The panel has a 1080x1920
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_MANTIX_MLAF057WE51
	tristate "Mantix MLAF057WE51-X MIPI-DSI LCD panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Mantix
	  MLAF057WE51-X MIPI DSI panel as e.g. used in the Librem 5. It
	  has a resolution of 720x1440 pixels, a built in backlight and touch
	  controller.

config DRM_PANEL_OLIMEX_LCD_OLINUXINO
	tristate "Olimex LCD-OLinuXino panel"
	depends on OF
	depends on I2C
	depends on BACKLIGHT_CLASS_DEVICE
	select CRC32
	help
	  The panel is used with different sizes LCDs, from 480x272 to
	  1280x800, and 24 bit per pixel.

	  Say Y here if you want to enable support for Olimex Ltd.
	  LCD-OLinuXino panel.

config DRM_PANEL_ORISETECH_OTM8009A
	tristate "Orise Technology otm8009a 480x800 dsi 2dl panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Orise Technology
	  otm8009a 480x800 dsi 2dl panel.

config DRM_PANEL_OSD_OSD101T2587_53TS
	tristate "OSD OSD101T2587-53TS DSI 1920x1200 video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for One Stop Displays
	  OSD101T2587-53TS 10.1" 1920x1200 dsi panel.

config DRM_PANEL_PANASONIC_VVX10F034N00
	tristate "Panasonic VVX10F034N00 1920x1200 video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Panasonic VVX10F034N00
	  WUXGA (1920x1200) Novatek NT1397-based DSI panel as found in some
	  Xperia Z2 tablets

config DRM_PANEL_RASPBERRYPI_TOUCHSCREEN
	tristate "Raspberry Pi 7-inch touchscreen panel"
	depends on DRM_MIPI_DSI
	help
	  Say Y here if you want to enable support for the Raspberry
	  Pi 7" Touchscreen.  To compile this driver as a module,
	  choose M here.

config DRM_PANEL_RAYDIUM_RM67191
	tristate "Raydium RM67191 FHD 1080x1920 DSI video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Raydium RM67191 FHD
	  (1080x1920) DSI panel.

config DRM_PANEL_RAYDIUM_RM68200
	tristate "Raydium RM68200 720x1280 DSI video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Raydium RM68200
	  720x1280 DSI video mode panel.

config DRM_PANEL_RONBO_RB070D30
	tristate "Ronbo Electronics RB070D30 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Ronbo Electronics
	  RB070D30 1024x600 DSI panel.

config DRM_PANEL_SAMSUNG_S6D16D0
	tristate "Samsung S6D16D0 DSI video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	select VIDEOMODE_HELPERS

config DRM_PANEL_SAMSUNG_S6E3HA2
	tristate "Samsung S6E3HA2 DSI video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	select VIDEOMODE_HELPERS

config DRM_PANEL_SAMSUNG_S6E63J0X03
	tristate "Samsung S6E63J0X03 DSI command mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	select VIDEOMODE_HELPERS

config DRM_PANEL_SAMSUNG_S6E63M0
	tristate "Samsung S6E63M0 RGB panel"
	depends on OF
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Samsung S6E63M0
	  AMOLED LCD panel. This panel can be accessed using SPI or
	  DSI.

config DRM_PANEL_SAMSUNG_S6E63M0_SPI
	tristate "Samsung S6E63M0 RGB SPI interface"
	depends on SPI
	depends on DRM_PANEL_SAMSUNG_S6E63M0
	default DRM_PANEL_SAMSUNG_S6E63M0
	help
	  Say Y here if you want to be able to access the Samsung
	  S6E63M0 panel using SPI.

config DRM_PANEL_SAMSUNG_S6E63M0_DSI
	tristate "Samsung S6E63M0 RGB DSI interface"
	depends on DRM_MIPI_DSI
	depends on DRM_PANEL_SAMSUNG_S6E63M0
	help
	  Say Y here if you want to be able to access the Samsung
	  S6E63M0 panel using DSI.

config DRM_PANEL_SAMSUNG_S6E88A0_AMS452EF01
	tristate "Samsung AMS452EF01 panel with S6E88A0 DSI video mode controller"
	depends on OF
	select DRM_MIPI_DSI
	select VIDEOMODE_HELPERS

config DRM_PANEL_SAMSUNG_S6E8AA0
	tristate "Samsung S6E8AA0 DSI video mode panel"
	depends on OF
	select DRM_MIPI_DSI
	select VIDEOMODE_HELPERS

config DRM_PANEL_SEIKO_43WVF1G
	tristate "Seiko 43WVF1G panel"
	depends on OF
	depends on BACKLIGHT_CLASS_DEVICE
	select VIDEOMODE_HELPERS
	help
	  Say Y here if you want to enable support for the Seiko
	  43WVF1G controller for 800x480 LCD panels

config DRM_PANEL_SHARP_LQ101R1SX01
	tristate "Sharp LQ101R1SX01 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Sharp LQ101R1SX01
	  TFT-LCD modules. The panel has a 2560x1600 resolution and uses
	  24 bit RGB per pixel. It provides a dual MIPI DSI interface to
	  the host and has a built-in LED backlight.

	  To compile this driver as a module, choose M here: the module
	  will be called panel-sharp-lq101r1sx01.

config DRM_PANEL_SHARP_LS037V7DW01
	tristate "Sharp LS037V7DW01 VGA LCD panel"
	depends on GPIOLIB && OF && REGULATOR
	help
	  Say Y here if you want to enable support for Sharp LS037V7DW01 VGA
	  (480x640) LCD panel (found on the TI SDP3430 board).

config DRM_PANEL_SHARP_LS043T1LE01
	tristate "Sharp LS043T1LE01 qHD video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Sharp LS043T1LE01 qHD
	  (540x960) DSI panel as found on the Qualcomm APQ8074 Dragonboard

config DRM_PANEL_SITRONIX_ST7701
	tristate "Sitronix ST7701 panel driver"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Sitronix
	  ST7701 controller for 480X864 LCD panels with MIPI/RGB/SPI
	  system interfaces.

config DRM_PANEL_SITRONIX_ST7703
	tristate "Sitronix ST7703 based MIPI touchscreen panels"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for Sitronix ST7703 based
	  panels, souch as Rocktech JH057N00900 MIPI DSI panel as e.g. used in
	  the Librem 5 devkit. It has a resolution of 720x1440 pixels, a built
	  in backlight and touch controller.
	  Touch input support is provided by the goodix driver and needs to be
	  selected separately.

config DRM_PANEL_SITRONIX_ST7789V
	tristate "Sitronix ST7789V panel"
	depends on OF && SPI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Sitronix
	  ST7789V controller for 240x320 LCD panels

config DRM_PANEL_SONY_ACX424AKP
	tristate "Sony ACX424AKP DSI command mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	select VIDEOMODE_HELPERS
	help
	  Say Y here if you want to enable the Sony ACX424 display
	  panel. This panel supports DSI in both command and video
	  mode.

config DRM_PANEL_SONY_ACX565AKM
	tristate "Sony ACX565AKM panel"
	depends on GPIOLIB && OF && SPI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Sony ACX565AKM
	  800x600 3.5" panel (found on the Nokia N900).

config DRM_PANEL_TPO_TD028TTEC1
	tristate "Toppoly (TPO) TD028TTEC1 panel driver"
	depends on OF && SPI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TPO TD028TTEC1 480x640
	  2.8" panel (found on the OpenMoko Neo FreeRunner and Neo 1973).

config DRM_PANEL_TPO_TD043MTEA1
	tristate "Toppoly (TPO) TD043MTEA1 panel driver"
	depends on GPIOLIB && OF && REGULATOR && SPI
	help
	  Say Y here if you want to enable support for TPO TD043MTEA1 800x480
	  4.3" panel (found on the OMAP3 Pandora board).

config DRM_PANEL_TPO_TPG110
	tristate "TPO TPG 800x400 panel"
	depends on OF && SPI && GPIOLIB
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TPO TPG110
	  400CH LTPS TFT LCD Single Chip Digital Driver for up to
	  800x400 LCD panels.

config DRM_PANEL_TRULY_ILI9882N_VDO_90HZ
	tristate "TRULY HD+ vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TRULY ILI9882N VDO
	  mode Full HD Plus panel. The panel has a 720x1520 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_TRULY_NT35597_WQXGA
	tristate "Truly WQXGA"
	depends on OF
	depends on DRM_MIPI_DSI
	help
	  Say Y here if you want to enable support for Truly NT35597 WQXGA Dual DSI
	  Video Mode panel

config DRM_PANEL_VISIONOX_RM69299
	tristate "Visionox RM69299"
	depends on OF
	depends on DRM_MIPI_DSI
	help
	  Say Y here if you want to enable support for Visionox
	  RM69299  DSI Video Mode panel.

config DRM_PANEL_XINPENG_XPP055C272
	tristate "Xinpeng XPP055C272 panel driver"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for the Xinpeng
	  XPP055C272 controller for 720x1280 LCD panels with MIPI/RGB/SPI
	  system interfaces.

config DRM_PANEL_TRULY_TD4330_CMD
	tristate "TRULY  FHD+ cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TRULY TD4330 CMD
	  mode Full HD Plus panel. The panel has a 1080x2280 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_TRULY_TD4330_VDO
	tristate "TRULY  FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TRULY TD4330 VDO
	  mode Full HD Plus panel. The panel has a 1080x2280 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_TRULY_FT8756_VDO
	tristate "TRULY FHD+ vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TRULY FT8756 VDO
	  mode Full HD Plus panel. The panel has a 1080x2300 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_ALPHA_JDI_NT36672C_CPHY_VDO
	tristate "ALPHA JDI FHD+ CPHY vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672C
	  CPHY vdo mode Full HD Plus panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SC_NT36672C_VDO_120HZ
	tristate "SC FHD+ vdo mode 120 HZ panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for SC DPHY
	  vdo mode Full HD Plus 120HZ panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SC_NT36672C_VDO_90HZ_6382
	tristate "SC FHD+ vdo mode 90 HZ 6382 panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for SC DPHY
	  vdo mode Full HD Plus 90HZ panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_TIANMA_R66451_CMD_120HZ
	tristate "TIANMA  FHD+ cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TIANMA R66451 CMD
	  mode 120HZ Full HD Plus panel. The panel has a 1080x2340 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_TIANMA_R66451_CMD_120HZ_WA
	tristate "TIANMA R66451 FHD+ cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TIANMA R66451 CMD
	  mode 120HZ Full HD Plus panel. The panel has a 1080x2340 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_TIANMA_NT36672E_VDO_120HZ_HFP
	tristate "TIANMA FHD+ vdo mode 120 HZ HFP panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TIANMA DPHY
	  vdo mode HFP Full HD Plus 120HZ panel. The panel has a 1080x2408
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_TIANMA_NT36672E_VDO_120HZ_VFP_6382
         tristate "TIANMA FHD+ vdo mode 120 HZ VFP 6382 panel"
         depends on OF
         depends on DRM_MIPI_DSI
         depends on BACKLIGHT_CLASS_DEVICE
         help
           Say Y here if you want to enable support for TIANMA DPHY
           vdo mode HFP Full HD Plus 120HZ panel. The panel has a 1080x2408
           resolution and uses 24-bits RGB per pixel. It provides a
           MIPI DSI interface to host.

config DRM_PANEL_TIANMA_NT36672C_CPHY_VDO_90HZ_RT4801
	tristate "TIANMA  FHD+ CPHY vdo mode panel 90hz rt4801"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TIANMA NT36672C CPHY vdo
	  mode of 90hz Full HD Plus panel. The panel has a 1080x2400 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_ALPHA_JDI_NT36672E_CPHY_VDO
	tristate "ALPHA JDI FHD+ CPHY vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  CPHY vdo mode Full HD Plus panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.
#prize add by lipengpeng 20220811 start 
config DRM_PANEL_ALPHA_JDI_NT36672EGMS_CPHY_VDO
	tristate "ALPHA JDI FHD+ CPHY vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672EGMS
	  CPHY vdo mode Full HD Plus panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

#prize add by lipengpeng 20220811 end
	  
config DRM_PANEL_ALPHA_JDI_NT36672E_VDO_120HZ
	tristate "ALPHA JDI FHD+ DPHY vdo mode 120HZ panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  DPHY vdo mode Full HD Plus 120HZ panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_ALPHA_JDI_NT36672E_VDO_144HZ
	tristate "ALPHA JDI FHD+ DPHY vdo mode 144HZ panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  DPHY vdo mode Full HD Plus 144HZ panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_ALPHA_JDI_NT36672E_VDO_60HZ
	tristate "ALPHA JDI FHD+ DPHY vdo mode 60HZ panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  DPHY vdo mode Full HD Plus 60HZ panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_ALPHA_JDI_NT36672E_VDO_60HZ_QCG
	tristate "ALPHA JDI FHD+ DPHY vdo mode 60HZ QCG panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  DPHY vdo mode Full HD Plus 60HZ QCG panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.	  
	  
config DRM_PANEL_ALPHA_JDI_NT36672E_VDO_120HZ_HFP
	tristate "ALPHA JDI FHD+ DPHY vdo mode 120HZ hfp panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  DPHY vdo mode Full HD Plus 120HZ hfp panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_ALPHA_JDI_NT36672E_VDO_144HZ_HFP
	tristate "ALPHA JDI FHD+ DPHY vdo mode 144HZ hfp panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for ALPHA JDI NT36672E
	  DPHY vdo mode Full HD Plus 144HZ hfp panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_TRULY_NT35595_CMD
	tristate "TRULY  FHD+ cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TRULY nt35595 CMD
	  mode Full HD Plus panel. The panel has a 1080x1920 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_HX_NT37701_DPHY_CMD
	tristate "NT37701 amoled dphy cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT37701 DPHY
	  cmd mode Full HD panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_HX_NT37701_DPHY_CMD_120HZ
	tristate "NT37701 amoled dphy cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT37701 DPHY
	  cmd mode Full HD panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_TIANMA_NT37701A_DPHY_CMD_144HZ
	tristate "NT37701 amoled dphy cmd mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for NT37701 DPHY
	  cmd mode Full HD panel. The panel has a 1080x2400
	  resolution and uses 24-bits RGB per pixel. It provides a
	  MIPI DSI interface to host.

config DRM_PANEL_SAMSUNG_S68FC01_VDO_AOD
	tristate "samsung s68fc01 fhdp vdo aod panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for samsung s68fc01
	  fhdp vdo aod panel. The panel has a 1080x2340 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_ALPHA_SAMSUNG_S6E3HAE_CMD_120HZ
	tristate "s6e3hae wqhd dphy 120hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for samsung, s63shae
	  wqhd cmd panel. The panel has a 1440x3200 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_NT37801_MSYNC2_RTE
	tristate "nt37801 fhdplus and wqhd dphy 120hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt37801 fhdplus and
	  wqhd cmd panel. The panel has a 1080x2400 or 1440x3200 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_HX83112B_AUO_CMD_RT5081
	tristate "hx83112b fhdp cmd and dphy 60hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt37801 fhdplus and
	  wqhd cmd panel. The panel has a 1080x2400 or 1440x3200 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_HX83112B_AUO_VDO_RT5081
	tristate "hx83112b fhdp vdo and dphy 60hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt37801 fhdplus and
	  wqhd cmd panel. The panel has a 1080x2400 or 1440x3200 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_TD4320_FHDP__AUO_VDO_RT5081
	tristate "td4320 fhdp vdo and dphy 60hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt37801 fhdplus and
	  wqhd cmd panel. The panel has a 1080x25200 or 1440x3200 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_NT35521_HD_VDO_TRULY_RT5081
	tristate "nt35521 hd vdo and dphy 60hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt35521 fhdplus and
	  wqhd cmd panel. The panel has a 1280x720 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_NT35695_FHD_VDO_AUO_RT5081_HDP
	tristate "nt35695 fhd vdo and dphy 60hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt35695 fhdplus and
	  wqhd cmd panel. The panel has a 1440x720 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_NT35521_HD_VDO_TRULY_RT50358
	tristate "nt35521 50358 hd vdo and dphy 60hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for nt35521 50358 hd
	  panel. The panel has a 720x1280 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

config DRM_PANEL_BOE_HX83102J_VDO
        tristate "boe & hx83102j fhdplus and  dphy vdo panel"
        depends on OF
        depends on DRM_MIPI_DSI
        depends on BACKLIGHT_CLASS_DEVICE
        help
          Say Y here if you want to enable support for hx83102j
          fhdplus vdo panel. The panel has a 2000x1200 resolution
          and uses 24-bits RGB per pixel. It provides a MIPI DSI
          interface to host.

config DRM_PANEL_TIANMA_HX83102J_VDO
        tristate "tianma & hx83102j fhdplus and  dphy vdo panel"
        depends on OF
        depends on DRM_MIPI_DSI
        depends on BACKLIGHT_CLASS_DEVICE
        help
          Say Y here if you want to enable support for hx83102j
          fhdplus vdo panel. The panel has a 2000x1200 resolution
          and uses 24-bits RGB per pixel. It provides a MIPI DSI
          interface to host.

config BACKLIGHT_KTZ8866
       tristate "Backlight driver for KTZ8866"
       depends on I2C && PWM
       help
         This supports KTZ8866 backlight driver.
		 Say Y here if you want to enable support for platform,
		 Say N here if you want to disable support for platform,
		 KTZ8866 can control backlight.

config DRM_PANEL_EDO_HX5329_CMD_120
	tristate "edo hx5329 cmd 120hz panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for hx5329 fhdplus and
	  wqhd cmd panel. The panel has a 3000x1876 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI
	  interface to host.

#PRIZE:Modified by durunshen,config lcm driver,20230110 start
config DRM_PANEL_TDDI_ILI7807S_VDO_BOE_120HZ_6382
	tristate "TDDI FHD+ vdo mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TDDI ILI7807S VDO
	  mode Full HD Plus panel. The panel has a 1080x2460 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.
##PRIZE:Modified by durunshen,config lcm driver,20230110 end 
	  
#prize hjw  for panel 20220606 start
config DRM_PANEL_CSOT_FT8756_VDO
	tristate "TRULY  FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_CSOT_FT8756_VDO_WCL
	tristate "TRULY  FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_CSOT_FT8756_VDO_XBD
	tristate "TRULY  FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
config DRM_PANEL_SHARP_R63417_CMD
	tristate "TRULY  FHD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for TRULY TD4330 VDO
	  mode Full HD Plus panel. The panel has a 1080x2280 resolution
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

config DRM_PANEL_TRULY6517_ILI9882N_VDO
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_NT36672C_120HZ_VDO
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.

# DRV added by chenjiaxi, add f1 tlsj lcm, start
config DRM_PANEL_NT36672C_120HZ_VDO_BOE_YX
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
# DRV added by chenjiaxi, add f1 tlsj lcm, end
	  
# DRV added by chenjiaxi, add nt36672c dzx gms panel, start
config DRM_PANEL_NT36672C_120HZ_VDO_GMS
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
# DRV added by chenjiaxi, add nt36672c dzx gms panel, end

# DRV added by chenjiaxi, add boe rm692e5 cmd panel, start
config DRM_PANEL_BOE_RM692E5_CMD_120HZ
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_BOE_RM692E5_CMD_120HZ_GMS
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_VISIONOX_RM692E0_DPHY_CMD_120HZ
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.

# DRV added by wangwei1, add csot nt37701a cmd panel, start
config DRM_PANEL_CSOT_NT37701A_DPHY_CMD_120HZ
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
# DRV added by wangwei1, add csot nt37701a cmd panel, end

config DRM_PANEL_DAXIAN_SH8804B_DPHY_CMD_120HZ
	tristate "HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
# DRV added by chenjiaxi, add boe rm692e5 cmd panel, end
	  
config DRM_PANEL_FT8720_120HZ_VDO
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.

# DRV added by chenjiaxi, start
config DRM_PANEL_BOE_ILI7807S_120HZ_VDO
	tristate "BOE  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
# DRV added by chenjiaxi, end

# DRV added by pengzhipeng, start
config DRM_PANEL_BOE_FT8725_120HZ_VDO
	tristate "BOE  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
# DRV added by pengzhipeng, end
	  
config DRM_PANEL_TRULY6517_ILI9881H_VDO
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_TRULY6517_ILI9882Q_VDO
	tristate "TRULY  HD+ video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.
	  
config DRM_PANEL_FHD_HX8399C_VDO
	tristate "FHD video mode panel"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for.

config DRM_MEDIATEK_PANEL
	tristate "drm panel common driver"
	depends on OF
	depends on DRM_MIPI_DSI
	depends on BACKLIGHT_CLASS_DEVICE
	help
	  Say Y here if you want to enable support for panel common driver.
	  support C-PHY and D-PHY, support HD, FHD resolution,
	  support CMD and VDO mode, support high frame rate.
	  and uses 24-bits RGB per pixel. It provides a MIPI DSI interface
	  to host.

#drv add by wangwei1 20240202 start
config DRM_PANEL_COST_NT37705_DPHY_CMD_120HZ
        tristate "truly & NT37705 fhdplus and  dphy cmd panel"
        depends on OF
        depends on DRM_MIPI_DSI
        depends on BACKLIGHT_CLASS_DEVICE
        help
          Say Y here if you want to enable support for NT37705
          fhdplus vdo panel. The panel has a 1080x2640 resolution
          and uses 24-bits RGB per pixel. It provides a MIPI DSI
          interface to host.
#drv add by wangwei1 20240202 end

#drv add by wangwei1 20230605 start
config DRM_PANEL_ILI9882N_HDP_DSI_VDO_TRULY6517_Q29
        tristate "truly & ili9882n fhdplus and  dphy vdo panel"
        depends on OF
        depends on DRM_MIPI_DSI
        depends on BACKLIGHT_CLASS_DEVICE
        help
          Say Y here if you want to enable support for ili9882n
          fhdplus vdo panel. The panel has a 1600x720 resolution
          and uses 24-bits RGB per pixel. It provides a MIPI DSI
          interface to host.
#drv add by wangwei1 20230605 end

endmenu
